# List opponents

Section: Your data › PVP tracker › Opponents

```
GET https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor=
```

Lists opponent presets, most recently recorded first. Results are paginated: follow `pagination.nextCursor` while `pagination.hasMore` is `true`.

**Parameters**

- `seasonId` (path): The season id.
- `search`: Only presets whose name contains this text.
- `limit`: Page size, 1–100. Defaults to 50.
- `cursor`: The `pagination.nextCursor` of the previous page.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `seasonId` |  |

## Query parameters

| Name | Value |
| --- | --- |
| `search` |  |
| `limit` | `20` |
| `cursor` |  |

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "md72rqbddfd4jdhq9e32xxq62n8e81q1",
      "createdAt": "2026-09-12T18:28:33.292Z",
      "name": "ペロロ推し",
      "latestTeam": [
        {
          "studentId": "iori"
        },
        {
          "studentId": "eimi"
        },
        {
          "studentId": "hoshino_battle_dealer"
        },
        {
          "studentId": "hoshino"
        },
        {
          "studentId": "michiru_dress"
        },
        {
          "studentId": "atsuko_swimsuit"
        }
      ],
      "opponentName": "ペロロ推し",
      "opponentStudentRepId": "hoshino",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    },
    {
      "id": "md701vx3r0hk9rdpfvrgma0bcn8e8xp9",
      "createdAt": "2026-09-12T18:27:45.364Z",
      "name": "Shirokoyo",
      "latestTeam": [
        {
          "studentId": "hanako_swimsuit"
        },
        {
          "studentId": "hoshino"
        },
        {
          "studentId": "shun"
        },
        {
          "studentId": "eimi"
        },
        {
          "studentId": "michiru_dress"
        },
        {
          "studentId": "hibiki"
        }
      ],
      "opponentName": "Shirokoyo",
      "opponentStudentRepId": "izuna",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "[\"jd7erxxxq9g5dt2hkdmsmwamhs7m2aw1\",\"kh73y62jqqhmwbxbnrtpdfe7w18dydwx\",\"undefined\",1789237665364.2588,\"md701vx3r0hk9rdpfvrgma0bcn8e8xp9\"]"
  }
}
```

## Examples

### cURL

```bash
curl 'https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor=' \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor=", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor="
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor=", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
